<?php
require __DIR__.'/../vendor/autoload.php';

use App\Kernel;
use Symfony\Component\Dotenv\Dotenv;
use Symfony\Component\Console\Input\ArrayInput;
use Symfony\Component\Console\Output\BufferedOutput;
use Symfony\Bundle\FrameworkBundle\Console\Application;

// clear opcace
opcache_reset();

// clear app-cache
(new Dotenv())->load(__DIR__.'/../.env');
$_SERVER['REQUEST_URI'] = '';
$env = $_SERVER['APP_ENV'] ?? 'dev';
$debug = $_SERVER['APP_DEBUG'] ?? ('prod' !== $env);

$kernel = new Kernel($env, $debug);
$application = new Application($kernel);
$application->setAutoExit(false);
$input = new ArrayInput([
    'command' => 'cache:clear',
    '--env'   => $env,
    '--no-warmup' => true
]);
$output = new BufferedOutput();
$runCode = $application->run($input, $output);
